# $Revision: 1.68.2.9 $, $Date: 2007-10-25 22:00:49 $
#
# TODO:
#	- fix x86-64 int32<->ptr64 casts.
#
#	tree.c:88: warning: cast from pointer to integer of different size
#	tree.c:102: warning: cast from pointer to integer of different size
#	fonts.c:144: warning: cast to pointer from integer of different size
#	fonts.c:211: warning: cast to pointer from integer of different size
#	gfxcard.c:1451: warning: cast to pointer from integer of different size
#	fbdev.c:459: warning: cast from pointer to integer of different size
#	fbdev.c:578: warning: cast from pointer to integer of different size
#	fbdev.c:708: warning: cast from pointer to integer of different size
#	idirectfbfont_ft2.c:130: warning: cast from pointer to integer of different size
#	idirectfbfont_ft2.c:292: warning: cast from pointer to integer of different size
#	idirectfbfont_ft2.c:653: warning: cast to pointer from integer of different size
#
# Conditional build:
%bcond_with	multi		# build Multi-application core (requires working /dev/fusion*)
#
Summary:	DirectFB - Hardware graphics acceleration
Summary(pl):	DirectFB - Wspomaganie grafiki
Name:		DirectFB
Version:	1.0.0
Release:	4
Epoch:		1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.org/downloads/Core/%{name}-%{version}.tar.gz
# Source0-md5:	ad746c49dc89ba6f99df71b17bbb1dc8
Source1:	http://www.directfb.org/downloads/Extras/DFBTutorials-0.5.0.tar.gz
# Source1-md5:	13e443a64bddd68835b574045d9025e9
Patch0:		%{name}-am.patch
Patch1:		%{name}-pmake.patch
Patch2:		%{name}-fix.patch
Patch3:		%{name}-gcc4.patch
Patch4:		%{name}-llh-ppc.patch
URL:		http://www.directfb.org/
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0.2
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.0
BuildRequires:	libtool
BuildRequires:	libvncserver-devel
%{?with_multi:BuildRequires:	linux-fusion-devel}
BuildRequires:	sed >= 4.0
BuildRequires:	sysfsutils-devel >= 1.3.0-3
BuildRequires:	zlib-devel >= 1.1.3
%{?with_multi:Provides:	DirectFB(multi)}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dfbdir	%{_libdir}/directfb-1.0-0

%define		specflags	-fno-strict-aliasing

%ifarch %{ix86}
# gcc running out of registers with -O0 in generic_mmx.h
%define		debugcflags	-O1 -g
%endif

%description
DirectFB hardware graphics acceleration - libraries.

%description -l pl
Wspomaganie grafiki DirectFB - biblioteki.

%package devel
Summary:	DirectFB - development package
Summary(pl):	DirectFB - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel >= 1.1.3

%description devel
DirectFB header files.

%description devel -l pl
Pliki nagwkowe dla DirectFB.

%package static
Summary:	DirectFB static libraries
Summary(pl):	Statyczne biblioteki DirectFB
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
DirectFB static libraries.

%description static -l pl
Statyczne biblioteki DirectFB.

%package doc
Summary:	DirectFB - documentation
Summary(pl):	DirectFB - dokumentacja
Group:		Development/Libraries

%description doc
DirectFB documentation and tutorials.

%description doc -l pl
Dokumentacja dla systemu DirectFB wraz z wprowadzeniem.

%package core-sdl
Summary:	SDL core system for DirectFB
Summary(pl):	System SDL dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description core-sdl
This package contains SDL core system module for DirectFB.

%description core-sdl -l pl
Ten pakiet zawiera modu systemu SDL dla DirectFB.

%package core-vnc
Summary:	VNC core system for DirectFB
Summary(pl):	System VNC dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description core-vnc
This package contains VNC core system module for DirectFB.

%description core-vnc -l pl
Ten pakiet zawiera modu systemu VNC dla DirectFB.

%package core-x11
Summary:	X11 core system for DirectFB
Summary(pl):	System X11 dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description core-x11
This package contains X11 core system module for DirectFB.

%description core-x11 -l pl
Ten pakiet zawiera modu systemu X11 dla DirectFB.

%package font-ft2
Summary:	FreeType2 font provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca fonty poprzez FreeType2
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description font-ft2
This package contains FreeType2 font provider for DirectFB.

%description font-ft2 -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc fonty poprzez
bibliotek FreeType2.

%package image-jpeg
Summary:	JPEG image provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca grafik JPEG
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description image-jpeg
This package contains JPEG image provider for DirectFB.

%description image-jpeg -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc grafik JPEG.

%package image-png
Summary:	PNG image provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca grafik PNG
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description image-png
This package contains PNG image provider for DirectFB.

%description image-png -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc grafik PNG.

%package input-elo
Summary:	ELO touchscreen input driver for DirectFB
Summary(pl):	Sterownik wejciowy do touchscreenw ELO dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-elo
ELO touchscreen input driver for DirectFB.

NOTE: currently it uses hardcoded /dev/ttyS0 port, so don't install it
unless you don't have ELO device connected to this port. It can mess
with other devices connected to this port (mouse, modem etc.).

%description input-elo -l pl
Sterownik wejciowy do touchscreenw ELO dla DirectFB.

UWAGA: aktualnie uywa zakodowanego na stae portu /dev/ttyS0, wic
nie naley go instalowa, jeli urzdzenie ELO nie jest podczone do
tego portu. Sterownik moe utrudni wspprac z innymi urzdzeniami
podczonymi do /dev/ttyS0 (jak mysz, modem itp.).

%package input-dynapro
Summary:	Dynapro touchscreen input driver for DirectFB
Summary(pl):	Sterownik wejciowy do touchscreenw Dynapro dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-dynapro
Dynapro touchscreen input driver for DirectFB.

NOTE: currently it uses hardcoded /dev/ttyS0 port, so don't install it
unless you don't have Dynapro device connected to this port. It can
mess with other devices connected to this port (mouse, modem etc.).

%description input-dynapro -l pl
Sterownik wejciowy do touchscreenw Dynapro dla DirectFB.

UWAGA: aktualnie uywa zakodowanego na stae portu /dev/ttyS0, wic
nie naley go instalowa, jeli urzdzenie Dynapro nie jest podczone
do tego portu. Sterownik moe utrudni wspprac z innymi
urzdzeniami podczonymi do /dev/ttyS0 (jak mysz, modem itp.).

%package input-gunze
Summary:	Gunze touchscreen input driver for DirectFB
Summary(pl):	Sterownik wejciowy do touchscreenw Gunze dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-gunze
Gunze touchscreen input driver for DirectFB.

NOTE: currently it uses hardcoded /dev/ttyS0 port, so don't install it
unless you don't have Gunze device connected to this port. It can mess
with other devices connected to this port (mouse, modem etc.).

%description input-gunze -l pl
Sterownik wejciowy do touchscreenw Gunze dla DirectFB.

UWAGA: aktualnie uywa zakodowanego na stae portu /dev/ttyS0, wic
nie naley go instalowa, jeli urzdzenie Gunze nie jest podczone
do tego portu. Sterownik moe utrudni wspprac z innymi
urzdzeniami podczonymi do /dev/ttyS0 (jak mysz, modem itp.).

%package input-mutouch
Summary:	MuTouch touchscreen input driver for DirectFB
Summary(pl):	Sterownik wejciowy do touchscreenw MuTouch dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-mutouch
MuTouch touchscreen input driver for DirectFB.

NOTE: it needs "mut-device" setting in directfbrc in order to work.

%description input-mutouch -l pl
Sterownik wejciowy do touchscreenw MuTouch dla DirectFB.

UWAGA: do dziaania potrzebuje ustawienia "mut-device" w directfbrc.

%package input-ucb1x00
Summary:	UCB1x00 touchscreen input driver for DirectFB
Summary(pl):	Sterownik wejciowy do touchscreenw UCB1x00 dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-ucb1x00
UCB1x00 touchscreen input driver for DirectFB.

%description input-ucb1x00 -l pl
Sterownik wejciowy do touchscreenw UCB1x00 dla DirectFB.

%package input-wm97xx
Summary:	WM97xx touchscreen input driver for DirectFB
Summary(pl):	Sterownik wejciowy do touchscreenw WM97xx dla DirectFB
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description input-wm97xx
WM97xx touchscreen input driver for DirectFB.

%description input-wm97xx -l pl
Sterownik wejciowy do touchscreenw WM97xx dla DirectFB.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
# MMX and SSE are detected at runtime, so it's safe to enable
%configure \
	--with-inputdrivers=dynapro,elo-input,gunze,joystick,keyboard,linuxinput,lirc,mutouch,penmount,ps2mouse,serialmouse,sonypijogdial,ucb1x00,wm97xx \
	%{!?debug:--disable-debug} \
	--enable-linux-input \
	%{?with_multi:--enable-multi} \
	--enable-mutouch \
	--enable-sdl \
	--enable-shared \
	--enable-static \
	--enable-unique \
	--enable-video4linux2 \
	--enable-voodoo \
	--enable-x11 \
	--enable-zlib \
%ifarch %{ix86} %{x8664}
%ifnarch i386 i486
	--enable-mmx \
%endif
%ifnarch i386 i486 i586
	--enable-sse
%endif
%endif

%{__make} \
	X11_LIBS=%{_prefix}/X11R6/%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_sysconfdir}}

%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf DFBTutorials* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

touch $RPM_BUILD_ROOT%{_sysconfdir}/directfbrc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/dfbdump
%attr(755,root,root) %{_bindir}/dfbg
%attr(755,root,root) %{_bindir}/dfbinfo
%attr(755,root,root) %{_bindir}/dfbinput
%attr(755,root,root) %{_bindir}/dfblayer
%attr(755,root,root) %{_bindir}/dfbpenmount
%attr(755,root,root) %{_bindir}/dfbproxy
%attr(755,root,root) %{_bindir}/dfbscreen
%attr(755,root,root) %{_bindir}/dfbsummon
%attr(755,root,root) %{_bindir}/mkdfiff
%attr(755,root,root) %{_bindir}/mkdgiff
%attr(755,root,root) %{_bindir}/uwmdump
%attr(755,root,root) %{_libdir}/libdirect-*.so.*.*.*
%attr(755,root,root) %{_libdir}/libdirectfb-*.so.*.*.*
%attr(755,root,root) %{_libdir}/libfusion-*.so.*.*.*
%attr(755,root,root) %{_libdir}/libuniquewm-*.so.*.*.*
%attr(755,root,root) %{_libdir}/libvoodoo-*.so.*.*.*
%dir %{dfbdir}
%dir %{dfbdir}/gfxdrivers
%attr(755,root,root) %{dfbdir}/gfxdrivers/*.so
%dir %{dfbdir}/inputdrivers
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_joystick.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_keyboard.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_linux_input.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_lirc.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_penmount.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_ps2mouse.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_serialmouse.so
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_sonypi.so
%dir %{dfbdir}/interfaces
%dir %{dfbdir}/interfaces/IDirectFB
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFB/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBDataBuffer
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBDataBuffer/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBDisplayLayer
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBDisplayLayer/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBEventBuffer
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBEventBuffer/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBFont
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_default.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_dgiff.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_dispatcher.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_requestor.so
%dir %{dfbdir}/interfaces/IDirectFBImageProvider
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_dfiff.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_dispatcher.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_gif.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_mpeg2.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_requestor.so
%dir %{dfbdir}/interfaces/IDirectFBInputDevice
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBInputDevice/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBPalette
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBPalette/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBScreen
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBScreen/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBSurface
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBSurface/lib*.so
%dir %{dfbdir}/interfaces/IDirectFBVideoProvider
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_gif.so
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_v4l.so
%dir %{dfbdir}/interfaces/IDirectFBWindow
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBWindow/lib*.so
%dir %{dfbdir}/systems
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_fbdev.so
%dir %{dfbdir}/wm
%attr(755,root,root) %{dfbdir}/wm/*.so
%{_datadir}/directfb-%{version}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/directfbrc
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/directfb-config
%attr(755,root,root) %{_bindir}/directfb-csource
%attr(755,root,root) %{_libdir}/libdirect.so
%attr(755,root,root) %{_libdir}/libdirectfb.so
%attr(755,root,root) %{_libdir}/libfusion.so
%attr(755,root,root) %{_libdir}/libuniquewm.so
%attr(755,root,root) %{_libdir}/libvoodoo.so
%{_libdir}/libdirect.la
%{_libdir}/libdirectfb.la
%{_libdir}/libfusion.la
%{_libdir}/libuniquewm.la
%{_libdir}/libvoodoo.la
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/directfb-csource.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{dfbdir}/gfxdrivers/*.[alo]*
%{dfbdir}/inputdrivers/*.[alo]*
%{dfbdir}/interfaces/*/*.[alo]*
%{dfbdir}/systems/*.[alo]*
%{dfbdir}/wm/*.[alo]*

%files doc
%defattr(644,root,root,755)
%doc docs/html/*.{html,png}
%{_examplesdir}/%{name}-%{version}

%files core-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_sdlinput.so
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_sdl.so

%files core-vnc
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_vncinput.so
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_vnc.so

%files core-x11
%defattr(644,root,root,755)
%doc systems/x11/README
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_x11input.so
%attr(755,root,root) %{dfbdir}/systems/libdirectfb_x11.so

%files font-ft2
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBFont/libidirectfbfont_ft2.so

%files image-jpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_jpeg.so

%files image-png
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_png.so

%files input-elo
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_elo.so

%files input-dynapro
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_dynapro.so

%files input-gunze
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_gunze.so

%files input-mutouch
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_mutouch.so

%files input-ucb1x00
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_ucb1x00_ts.so

%files input-wm97xx
%defattr(644,root,root,755)
%attr(755,root,root) %{dfbdir}/inputdrivers/libdirectfb_wm97xx_ts.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DirectFB.spec,v $
Revision 1.68.2.9  2007-10-25 22:00:49  glen
- make install with parallel jobs is broken
- disable configure options which aren't really needed

Revision 1.68.2.8  2007/03/09 14:03:24  hawk
- release 3, more fixes in gcc4 patch

Revision 1.68.2.7  2007/03/09 11:27:08  hawk
- release 2, fixed amd64 issues

Revision 1.68.2.6  2007/03/08 19:42:25  hawk
- release 1

Revision 1.68.2.5  2007/03/08 15:47:31  hawk
- adapter was here

Revision 1.68.2.4  2007/03/08 15:45:44  hawk
- don't include .so files in static subpackage (few unpackaged .so fixed)
- created subpackages with input drivers for UCB1x00 and WM97xx touchscreens

Revision 1.68.2.3  2007/03/07 13:41:13  hawk
- updated gcc4 and fix patches
- build more input drivers, added subpackages for Dynapro and Gunze
  touchscreen drivers
- release 0.2 (why static subpackage includes all .a, .o and .so files?)

Revision 1.68.2.2  2007/03/07 10:18:51  hawk
- started update to 1.0.0, NFY

Revision 1.68.2.1  2006/04/05 22:16:50  hawk
- release 2

Revision 1.68  2006/01/27 21:01:30  pluto
- gcc4 patch updated.

Revision 1.67  2006/01/26 22:02:14  pluto
- ppc/llh build fix.

Revision 1.66  2006/01/26 21:29:36  pluto
- gcc4 fixes, mmx/sse enabled for x86-64, todo added.

Revision 1.65  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.64  2005/12/30 12:52:22  glen
- R: pkgconfig for -devel

Revision 1.63  2005/10/25 19:24:45  qboosh
- updated to 0.9.24, removed obsolete missing-files,drivers,segv patches

Revision 1.62  2005/10/23 11:47:29  qboosh
- added segv patch

Revision 1.61  2005/10/23 11:25:35  qboosh
- can't build with -O0 - use -O1 for debug

Revision 1.60  2005/10/23 11:14:36  qboosh
- missing buildroot

Revision 1.59  2005/10/23 10:27:08  qboosh
- Provides: DirectFB(multi) if built with multi

Revision 1.58  2005/10/23 10:26:04  qboosh
- added bcond to build with multi application core
- always leave dfbdump and dfbg - seem to do something with single core too

Revision 1.57  2005/10/23 09:20:04  qboosh
- updated to 0.9.23, updated sh patch
- updated missing-files patch (using newer files from DirectFB CVS)
- added drivers patch
- build vnc and x11 cores
- provide directfbrc skeleton (currently empty) to give an idea about its name

Revision 1.56  2005/03/04 23:13:22  qboosh
- updated to 0.9.22, updated fix,missing-files patches

Revision 1.55  2005/01/15 15:10:33  qboosh
- don't package makefiles with docs

Revision 1.54  2005/01/15 14:08:06  qboosh
- added cle266,unichrome linking fixes to fix patch
- separate problematic elo,mutouch input drivers

Revision 1.53  2005/01/15 00:12:08  qboosh
- added sh patch (syntax fix in directfb-config)

Revision 1.52  2005/01/15 00:02:22  qboosh
- added docs

Revision 1.51  2005/01/11 21:44:54  qboosh
- ac 2.52 BRed

Revision 1.50  2005/01/10 23:02:28  qboosh
- updated to 0.9.21 (new soname, as usual)
- updated am patch, added fix,missing-files patches
- libmpeg3 video provides has been moved to DirectFB-extra (WIP)

Revision 1.49  2004/02/28 17:31:12  saq
- more general ix86 %ifarchs

Revision 1.48  2004/01/09 15:31:07  qboosh
- dropped ugly i2c workaround; glibc-kernel-headers contain proper fix

Revision 1.47  2003/11/12 15:21:26  qboosh
- more hacks in broken-i2c-workaround patch; release 3

Revision 1.46  2003/11/12 11:46:47  qboosh
- fixed epoch issue after adding it in rev. 1.44; new-style bcond; release 2

Revision 1.45  2003/11/11 18:41:12  qboosh
- added patch for heavily broken i2c headers on builders :/

Revision 1.44  2003/11/06 13:58:11  siefca
- added Epoch mark and fixed Requires in subpackages
- release 2

Revision 1.43  2003/10/26 17:59:35  qboosh
- updated to 0.9.20, removed obsolete i810 patch

Revision 1.42  2003/08/18 08:07:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.41  2003/08/11 20:44:50  ankry
- cosmetics

Revision 1.40  2003/08/01 18:08:41  krzak
- i810 build patch
- rel 2

Revision 1.39  2003/07/31 19:50:20  qboosh
- SDL core is modular now - so added as subpackage
- libtool's fast-install must be enabled (libtool doesn't support relinking of
  executables into DESTDIR, which causes linking of tools with old version of
  library installed in system); also, I can't see any reason for not using
  fast-install
- *.la for modules could only be useful for static linking - moved to -static

Revision 1.38  2003/07/21 21:07:42  freetz
- up to 0.9.19 (new radeon driver - works)

Revision 1.37  2003/07/12 13:36:44  qboosh
- 0.9.18, updated am patch, added dfbinfo utility

Revision 1.36  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.35  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.34  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/03/16 08:43:40  juandon
- update to 0.9.17

Revision 1.32  2003/03/03 17:57:39  juandon
- added pmake.patch

Revision 1.31  2003/01/17 21:48:19  qboosh
- 0.9.16, flash video provider is gone (to DirectFB-extra)

Revision 1.30  2003/01/15 12:48:06  cieciwa
- Turned back --with to --without [Thanx Qboosh].

Revision 1.29  2003/01/04 22:56:29  cieciwa
- changed bcond from _without_ to _with_.

Revision 1.28  2002/12/18 20:03:24  qboosh
- 0.9.15

Revision 1.27  2002/12/07 15:11:39  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.26  2002/11/07 10:53:18  qboosh
- updated to 0.9.14, updated am patch
- disable SDL core (too many deps), enable SSE on i686 (safe)
- added mpeg2 image provider to base (no external deps)

Revision 1.25  2002/11/06 20:42:23  qboosh
- updated DFBTutorials to 0.5.0
- separated all plugins that have additional dependencies
- release 3

Revision 1.24  2002/10/15 09:11:53  cieciwa
- release 2,
- added bcond --without flash, and --without mpg.

Revision 1.23  2002/09/30 15:07:48  misiek
- update to 0.9.13

Revision 1.22  2002/09/02 19:41:28  qboosh
- License is LGPL; release 2

Revision 1.21  2002/09/01 18:16:33  qboosh
- updated to 0.9.12, updated am patch
- added -static package
- added libmpeg3 and swf provides as subpackages (because of deps)
- really enabled mmx
- added tutorials to doc

Revision 1.20  2002/06/23 20:52:47  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.19  2002/06/23 20:32:18  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:12:35  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/26 14:00:49  wiget
- %files fixes

Revision 1.16  2002/04/26 12:21:14  wiget
- start update to 0.9.10
- fixed configure.in (am.patch)
- rebuild auto* stuff
- allow building with libpng 1.2.2

Revision 1.15  2002/04/11 08:29:12  misiek
- don't regenerate am/ac for now

Revision 1.14  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/28 17:36:22  depesz
- new version

Revision 1.12  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:10  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/04 09:41:36  qboosh
- adapterized, fixed some typos, BR: autoconf,automake

Revision 1.9  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.8  2001/07/12 12:36:34  wrobell
- up to 0.9.4
- rebuild autoconf/automake stuff for autoconf 2.50
- fixed buildrequires
- small fixes
- stb

Revision 1.7  2001/06/12 10:01:02  cieciwa
- update to version 0.9.2

Revision 1.6  2001/05/07 10:16:59  cieciwa
- release 2,
- small clean in %files,
- added %post, %postun.

Revision 1.5  2001/05/07 09:25:59  cieciwa
- updated to version 0.9.1,
- fixed source location,
- fixed URL.
  STD

Revision 1.4  2001/05/02 02:43:03  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.3  2001/04/27 12:15:09  cieciwa
- updated %files.
  STB.

Revision 1.2  2001/04/27 09:10:45  cieciwa
- added subpackage DEVEl and DOC,
- %files are empty !!!!!

Revision 1.1  2001/04/27 08:36:02  cieciwa
- initial spec.
